Upload a PDF file for use as model input.
POST
/v1/files
const url = 'https://app.everruns.com/api/v1/files';const options = {method: 'POST', headers: {'Content-Type': 'multipart/form-data'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/files \ --header 'Content-Type: multipart/form-data'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”session_id
string | null
Optional session to attribute the upload to.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typemultipart/form-data
string
Responses
Section titled “Responses”File uploaded
Media typeapplication/json
File metadata returned after a successful upload (no binary data).
object
content_type
required
MIME type of the stored file (currently always application/pdf).
string
created_at
required
Upload timestamp.
string format: date-time
filename
Original filename supplied at upload, if known.
string | null
id
required
string
size_bytes
required
Size of the stored file in bytes.
integer format: int64
Example
{ "content_type": "application/pdf", "created_at": "2026-01-04T11:23:00Z", "filename": "report.pdf", "id": "file_01933b5a00007000800000000000001", "size_bytes": 1048576}Invalid file
File too large